--[[
Name: LibBabble-HerbNodes-1.0
Revision: $Rev: 1 $
Maintainers: tritium <tritium@noisywires.net>
Website: 
Dependencies: LibStub, LibBabble-3.0
License: This work is dedicated to the public domain.
Description: LibBabble library for translations of herb node names.
Credits: thanks to gathermate2 translators
]]

local MAJOR_VERSION = "LibBabble-HerbNodes-1.0"
local MINOR_VERSION = 1

if not LibStub then error(MAJOR_VERSION .. " requires LibStub.") end
local lib = LibStub("LibBabble-3.0"):New(MAJOR_VERSION, MINOR_VERSION)
if not lib then return end

local GAME_LOCALE = GetLocale()

lib:SetBaseTranslations {
	["Adder's Tongue"] = "Adder's Tongue",
	["Ancient Lichen"] = "Ancient Lichen",
	["Arthas' Tears"] = "Arthas' Tears",
	["Azshara's Veil"] = "Azshara's Veil",
	["Black Lotus"] = "Black Lotus",
	["Blindweed"] = "Blindweed",
	["Bloodthistle"] = "Bloodthistle",
	["Briarthorn"] = "Briarthorn",
	["Bruiseweed"] = "Bruiseweed",
	["Cinderbloom"] = "Cinderbloom",
	["Dragon's Teeth"] = "Dragon's Teeth",
	["Dreamfoil"] = "Dreamfoil",
	["Dreaming Glory"] = "Dreaming Glory",
	["Earthroot"] = "Earthroot",
	["Fadeleaf"] = "Fadeleaf",
	["Felweed"] = "Felweed",
	["Firebloom"] = "Firebloom",
	["Firethorn"] = "Firethorn",
	["Fireweed"] = "Fireweed",
	["Flame Cap"] = "Flame Cap",
	["Fool's Cap"] = "Fool's Cap",
	["Frost Lotus"] = "Frost Lotus",
	["Frostweed"] = "Frostweed",
	["Frozen Herb"] = "Frozen Herb",
	["Ghost Mushroom"] = "Ghost Mushroom",
	["Goldclover"] = "Goldclover",
	["Golden Lotus"] = "Golden Lotus",
	["Golden Sansam"] = "Golden Sansam",
	["Goldthorn"] = "Goldthorn",
	["Gorgrond Flytrap"] = "Gorgrond Flytrap",
	["Grave Moss"] = "Grave Moss",
	["Green Tea Leaf"] = "Green Tea Leaf",
	["Gromsblood"] = "Gromsblood",
	["Heartblossom"] = "Heartblossom",
	["Icecap"] = "Icecap",
	["Icethorn"] = "Icethorn",
	["Khadgar's Whisker"] = "Khadgar's Whisker",
	["Kingsblood"] = "Kingsblood",
	["Lichbloom"] = "Lichbloom",
	["Liferoot"] = "Liferoot",
	["Mageroyal"] = "Mageroyal",
	["Mana Thistle"] = "Mana Thistle",
	["Mountain Silversage"] = "Mountain Silversage",
	["Nagrand Arrowbloom"] = "Nagrand Arrowbloom",
	["Netherbloom"] = "Netherbloom",
	["Netherdust Bush"] = "Netherdust Bush",
	["Nightmare Vine"] = "Nightmare Vine",
	["Peacebloom"] = "Peacebloom",
	["Purple Lotus"] = "Purple Lotus",
	["Ragveil"] = "Ragveil",
	["Rain Poppy"] = "Rain Poppy",
	["Sha-Touched Herb"] = "Sha-Touched Herb",
	["Silkweed"] = "Silkweed",
	["Silverleaf"] = "Silverleaf",
	["Snow Lily"] = "Snow Lily",
	["Sorrowmoss"] = "Sorrowmoss",
	["Starflower"] = "Starflower",
	["Stormvine"] = "Stormvine",
	["Stranglekelp"] = "Stranglekelp",
	["Sungrass"] = "Sungrass",
	["Talador Orchid"] = "Talador Orchid",
	["Talandra's Rose"] = "Talandra's Rose",
	["Terocone"] = "Terocone",
	["Tiger Lily"] = "Tiger Lily",
	["Twilight Jasmine"] = "Twilight Jasmine",
	["Whiptail"] = "Whiptail",
	["Wild Steelbloom"] = "Wild Steelbloom",
}

if GAME_LOCALE == "enUS" then
	lib:SetCurrentTranslations(true)
elseif GAME_LOCALE == "deDE" then
	lib:SetCurrentTranslations {
		["Adder's Tongue"] = "Schlangenzunge",
		["Ancient Lichen"] = "Urflechte",
		["Arthas' Tears"] = "Arthas’ Tränen",
		["Azshara's Veil"] = "Azsharas Schleier",
		["Black Lotus"] = "Schwarzer Lotus",
		["Blindweed"] = "Blindkraut",
		["Bloodthistle"] = "Blutdistel",
		["Briarthorn"] = "Wilddornrose",
		["Bruiseweed"] = "Beulengras",
		["Cinderbloom"] = "Aschenblüte",
		["Dragon's Teeth"] = "Zähne des Drachen ",
		["Dreamfoil"] = "Traumblatt",
		["Dreaming Glory"] = "Traumwinde",
		["Earthroot"] = "Erdwurzel",
		["Fadeleaf"] = "Blassblatt",
		["Felweed"] = "Teufelsgras",
		["Firebloom"] = "Feuerblüte",
		["Firethorn"] = "Feuerdorn",
		["Flame Cap"] = "Flammenkappe",
		["Fool's Cap"] = "Narrenkappe",
		["Frost Lotus"] = "Frostlotus",
		["Frozen Herb"] = "Gefrorenes Kraut",
		["Ghost Mushroom"] = "Geisterpilz",
		["Goldclover"] = "Goldklee",
		["Golden Lotus"] = "Goldlotus",
		["Golden Sansam"] = "Goldener Sansam",
		["Goldthorn"] = "Golddorn",
		["Grave Moss"] = "Grabmoos",
		["Green Tea Leaf"] = "Teepflanze",
		["Gromsblood"] = "Gromsblut",
		["Heartblossom"] = "Herzblüte",
		["Icecap"] = "Eiskappe",
		["Icethorn"] = "Eisdorn",
		["Khadgar's Whisker"] = "Khadgars Schnurrbart",
		["Kingsblood"] = "Königsblut",
		["Lichbloom"] = "Lichblüte",
		["Liferoot"] = "Lebenswurz",
		["Mageroyal"] = "Maguskönigskraut",
		["Mana Thistle"] = "Manadistel",
		["Mountain Silversage"] = "Bergsilbersalbei",
		["Netherbloom"] = "Netherblüte",
		["Netherdust Bush"] = "Netherstaubbusch",
		["Nightmare Vine"] = "Alptraumranke",
		["Peacebloom"] = "Friedensblume",
		["Purple Lotus"] = "Lila Lotus",
		["Ragveil"] = "Zottelkappe",
		["Rain Poppy"] = "Regenmohn",
		["Sha-Touched Herb"] = "Sha-berührtes Kraut",
		["Silkweed"] = "Seidenkraut",
		["Silverleaf"] = "Silberblatt",
		["Snow Lily"] = "Schneelilie",
		["Sorrowmoss"] = "Trauermoos",
		["Stormvine"] = "Sturmwinde",
		["Stranglekelp"] = "Würgetang",
		["Sungrass"] = "Sonnengras",
		["Talandra's Rose"] = "Talandras Rose",
		["Terocone"] = "Terozapfen",
		["Tiger Lily"] = "Tigerlilie",
		["Twilight Jasmine"] = "Schattenjasmin",
		["Whiptail"] = "Gertenrohr",
		["Wild Steelbloom"] = "Wildstahlblume",
	}
elseif GAME_LOCALE == "esES" then
	lib:SetCurrentTranslations {
		["Adder's Tongue"] = "Lengua víboris",
		["Ancient Lichen"] = "Liquen Antiguo",
		["Arthas' Tears"] = "Lágrimas de Arthas",
		["Azshara's Veil"] = "Velo de Azshara",
		["Black Lotus"] = "Loto negro",
		["Blindweed"] = "Carolina",
		["Bloodthistle"] = "Cardo de sangre",
		["Briarthorn"] = "Brezospina",
		["Bruiseweed"] = "Hierba cardenal",
		["Cinderbloom"] = "Flor de ceniza",
		["Dragon's Teeth"] = "Dientes de dragón",
		["Dreamfoil"] = "Hojasueño",
		["Dreaming Glory"] = "Gloria de ensueño",
		["Earthroot"] = "Raíz de tierra",
		["Fadeleaf"] = "Pálida",
		["Felweed"] = "Hierba vil",
		["Firebloom"] = "Flor de fuego",
		["Firethorn"] = "Espino de fuego",
		["Fireweed"] = "Adelfilla",
		["Flame Cap"] = "Seta flamígera",
		["Fool's Cap"] = "Seta del inocente",
		["Frost Lotus"] = "Loto de escarcha",
		["Frostweed"] = "Verbesina",
		["Frozen Herb"] = "Hierba congelada",
		["Ghost Mushroom"] = "Champiñón fantasma",
		["Goldclover"] = "Trébol de oro",
		["Golden Lotus"] = "Loto dorado",
		["Golden Sansam"] = "Sansam dorado",
		["Goldthorn"] = "Espina de oro",
		["Gorgrond Flytrap"] = "Atrapamoscas de Gorgrond",
		["Grave Moss"] = "Musgo de tumba",
		["Green Tea Leaf"] = "Hoja de té verde",
		["Gromsblood"] = "Gromsanguina",
		["Heartblossom"] = "Flor de corazón",
		["Icecap"] = "Setelo",
		["Icethorn"] = "Espina de hielo",
		["Khadgar's Whisker"] = "Mostacho de Khadgar",
		["Kingsblood"] = "Sangrerregia",
		["Lichbloom"] = "Flor exánime",
		["Liferoot"] = "Vidarraíz",
		["Mageroyal"] = "Marregal",
		["Mana Thistle"] = "Cardo de maná",
		["Mountain Silversage"] = "Salviargenta de montaña",
		["Nagrand Arrowbloom"] = "Saeta de Nagrand",
		["Netherbloom"] = "Flor abisal",
		["Netherdust Bush"] = "Arbusto de polvo abisal",
		["Nightmare Vine"] = "Vid pesadilla",
		["Peacebloom"] = "Flor de paz",
		["Purple Lotus"] = "Loto cárdeno",
		["Ragveil"] = "Velada",
		["Rain Poppy"] = "Amapola de lluvia",
		["Sha-Touched Herb"] = "Hierba influenciada por el sha",
		["Silkweed"] = "Hierbaseda",
		["Silverleaf"] = "Hojaplata",
		["Snow Lily"] = "Lirio de las nieves",
		["Sorrowmoss"] = "Musgopena",
		["Starflower"] = "Estelaria",
		["Stormvine"] = "Viñaviento",
		["Stranglekelp"] = "Alga estranguladora",
		["Sungrass"] = "Solea",
		["Talador Orchid"] = "Orquídea de Talador",
		["Talandra's Rose"] = "Rosa de Talandra",
		["Terocone"] = "Teropiña",
		["Tiger Lily"] = "Lirio atigrado",
		["Twilight Jasmine"] = "Jazmín Crepuscular",
		["Whiptail"] = "Colátigo",
		["Wild Steelbloom"] = "Acérita salvaje",
	}
--elseif GAME_LOCALE == "esMX" then
--	lib:SetCurrentTranslations {
--	}
elseif GAME_LOCALE == "frFR" then
	lib:SetCurrentTranslations {
		["Adder's Tongue"] = "Langue de serpent",
		["Ancient Lichen"] = "Lichen ancien",
		["Arthas' Tears"] = "Larmes d'Arthas",
		["Azshara's Veil"] = "Voile d'Azshara",
		["Black Lotus"] = "Lotus noir",
		["Blindweed"] = "Aveuglette",
		["Bloodthistle"] = "Chardon sanglant",
		["Briarthorn"] = "Eglantine",
		["Bruiseweed"] = "Doulourante",
		["Cinderbloom"] = "Cendrelle",
		["Dragon's Teeth"] = "Dents de dragon",
		["Dreamfoil"] = "Feuillerêve",
		["Dreaming Glory"] = "Glaurier",
		["Earthroot"] = "Terrestrine",
		["Fadeleaf"] = "Pâlerette",
		["Felweed"] = "Gangrelette",
		["Firebloom"] = "Fleur de feu",
		["Firethorn"] = "Epine de feu",
		["Fireweed"] = "Ignescente",
		["Flame Cap"] = "Chapeflamme",
		["Fool's Cap"] = "Berluette",
		["Frost Lotus"] = "Lotus givré",
		["Frostweed"] = "Givrelette",
		["Frozen Herb"] = "Herbe gelée",
		["Ghost Mushroom"] = "Champignon fantôme",
		["Goldclover"] = "Trèfle doré",
		["Golden Lotus"] = "Lotus doré",
		["Golden Sansam"] = "Sansam doré",
		["Goldthorn"] = "Dorépine",
		["Gorgrond Flytrap"] = "Dionée de Gorgrond",
		["Grave Moss"] = "Tombeline",
		["Green Tea Leaf"] = "Feuille de thé vert",
		["Gromsblood"] = "Gromsang",
		["Heartblossom"] = "Pétale de cœur",
		["Icecap"] = "Calot de glace",
		["Icethorn"] = "Glacépine",
		["Khadgar's Whisker"] = "Moustache de Khadgar",
		["Kingsblood"] = "Sang-royal",
		["Lichbloom"] = "Fleur-de-liche",
		["Liferoot"] = "Vietérule",
		["Mageroyal"] = "Mage royal",
		["Mana Thistle"] = "Chardon de mana",
		["Mountain Silversage"] = "Sauge-argent des montagnes",
		["Nagrand Arrowbloom"] = "Sagittaire de Nagrand",
		["Netherbloom"] = "Néantine",
		["Netherdust Bush"] = "Buisson de pruinéante",
		["Nightmare Vine"] = "Cauchemardelle",
		["Peacebloom"] = "Pacifique",
		["Purple Lotus"] = "Lotus pourpre",
		["Ragveil"] = "Voile-misère",
		["Rain Poppy"] = "Pavot de pluie",
		["Sha-Touched Herb"] = "Plante touchée par les sha",
		["Silkweed"] = "Herbe à soie",
		["Silverleaf"] = "Feuillargent",
		["Snow Lily"] = "Lys des neiges",
		["Sorrowmoss"] = "Chagrinelle",
		["Starflower"] = "Bourrache",
		["Stormvine"] = "Vignétincelle",
		["Stranglekelp"] = "Etouffante",
		["Sungrass"] = "Soleillette",
		["Talador Orchid"] = "Orchidée de Talador",
		["Talandra's Rose"] = "Rose de Talandra",
		["Terocone"] = "Terocône",
		["Tiger Lily"] = "Lys tigré",
		["Twilight Jasmine"] = "Jasmin crépusculaire",
		["Whiptail"] = "Fouettine",
		["Wild Steelbloom"] = "Aciérite sauvage",
	}
elseif GAME_LOCALE == "itIT" then
	lib:SetCurrentTranslations {
		["Adder's Tongue"] = "Lingua di vipera",
		["Ancient Lichen"] = "Lichene Antico",
		["Arthas' Tears"] = "Lacrima di Arthas",
		["Azshara's Veil"] = "Velo di Azshara",
		["Black Lotus"] = "Fiore di Loto Nero",
		["Blindweed"] = "Erbacieca",
		--["Bloodthistle"] = ???
		["Briarthorn"] = "Grandespina",
		["Bruiseweed"] = "Erbalivida",
		["Cinderbloom"] = "Sbocciacenere",
		--["Dragon's Teeth"] = ???
		["Dreamfoil"] = "Foglia Onirica",
		--["Dreaming Glory"] = ???
		["Earthroot"] = "Bulboterro",
		["Fadeleaf"] = "Foglia Eterea",
		--["Felweed"] = ???
		["Firebloom"] = "Sbocciafuoco",
		--["Firethorn"] = ???
		--["Fireweed"] = ???
		["Flame Cap"] = "Corolla Infernale",
		--["Fool's Cap"] = ???
		--["Frost Lotus"] = ???
		--["Frostweed"] = ???
		--["Frozen Herb"] = ???
		["Ghost Mushroom"] = "Fungo Fantasma",
		--["Goldclover"] = ???
		--["Golden Lotus"] = ???
		["Golden Sansam"] = "Sansam Dorato",
		["Goldthorn"] = "Orospino",
		--["Gorgrond Flytrap"] = ???
		["Grave Moss"] = "Muschio di Tomba",
		--["Green Tea Leaf"] = ???
		["Gromsblood"] = "Sangue di Grom",
		--["Heartblossom"] = ???
		["Icecap"] = "Corolla Invernale",
		--["Icethorn"] = ???
		["Khadgar's Whisker"] = "Ciuffo di Khadgar",
		["Kingsblood"] = "Sanguesacro",
		--["Lichbloom"] = ???
		["Liferoot"] = "Bulbovivo",
		["Mageroyal"] = "Magareale",
		--["Mana Thistle"] = ???
		["Mountain Silversage"] = "Ramargento Montano",
		--["Nagrand Arrowbloom"] = ???
		--["Netherbloom"] = ???
		--["Netherdust Bush"] = ???
		--["Nightmare Vine"] = ???
		["Peacebloom"] = "Sbocciapace",
		["Purple Lotus"] = "Fiore di Loto Purpureo",
		["Ragveil"] = "Velorotto",
		["Rain Poppy"] = "Papavero",
		--["Sha-Touched Herb"] = ???
		--["Silkweed"] = ???
		["Silverleaf"] = "Fogliargenta",
		["Snow Lily"] = "Giglio della Neve",
		["Sorrowmoss"] = "Muschiocupo",
		--["Starflower"] = ???
		["Stormvine"] = "Vite Tempestosa",
		["Stranglekelp"] = "Algatorta",
		["Sungrass"] = "Erbasole",
		--["Talador Orchid"] = ???
		["Talandra's Rose"] = "Rosa di Talandra",
		--["Terocone"] = ???
		["Tiger Lily"] = "Giglio Tigrato",
		["Twilight Jasmine"] = "Gelsomino del Crepuscolo",
		["Whiptail"] = "Frustaliana",
		--["Wild Steelbloom"] = ???
	}
elseif GAME_LOCALE == "koKR" then
	lib:SetCurrentTranslations {
		["Adder's Tongue"] = "얼레지 꽃",
		["Ancient Lichen"] = "고대 이끼",
		["Arthas' Tears"] = "아서스의 눈물",
		["Azshara's Veil"] = "아즈샤라의 신비",
		["Black Lotus"] = "검은 연꽃",
		["Blindweed"] = "실명초",
		["Bloodthistle"] = "피 엉겅퀴",
		["Briarthorn"] = "찔레가시",
		["Bruiseweed"] = "생채기풀",
		["Cinderbloom"] = "재투성이꽃",
		["Dragon's Teeth"] = "용 송곳니",
		["Dreamfoil"] = "꿈풀",
		["Dreaming Glory"] = "꿈초롱이",
		["Earthroot"] = "뱀뿌리",
		["Fadeleaf"] = "미명초잎",
		["Felweed"] = "지옥풀",
		["Firebloom"] = "화염초",
		["Firethorn"] = "화염가시풀",
		["Fireweed"] = "불꽃풀",
		["Flame Cap"] = "불꽃송이",
		["Fool's Cap"] = "멍텅구리 모자 버섯",
		["Frost Lotus"] = "서리 연꽃",
		["Frostweed"] = "서리풀",
		["Frozen Herb"] = "얼어붙은 약초",
		["Ghost Mushroom"] = "유령버섯",
		["Goldclover"] = "황금토끼풀",
		["Golden Lotus"] = "황금 연꽃",
		["Golden Sansam"] = "황금 산삼",
		["Goldthorn"] = "황금가시",
		["Gorgrond Flytrap"] = "고르그론드 파리지옥풀",
		["Grave Moss"] = "무덤이끼",
		["Green Tea Leaf"] = "녹차 잎",
		["Gromsblood"] = "그롬의 피",
		["Heartblossom"] = "심장꽃",
		["Icecap"] = "얼음송이",
		["Icethorn"] = "얼음가시",
		["Khadgar's Whisker"] = "카드가의 수염",
		["Kingsblood"] = "왕꽃잎풀",
		["Lichbloom"] = "시체꽃",
		["Liferoot"] = "생명의 뿌리",
		["Mageroyal"] = "마법초",
		["Mana Thistle"] = "마나 엉겅퀴",
		["Mountain Silversage"] = "은초롱이",
		["Nagrand Arrowbloom"] = "나그란드 화살꽃",
		["Netherbloom"] = "황천꽃",
		["Netherdust Bush"] = "황천티끌 덤불",
		["Nightmare Vine"] = "악몽의 덩굴",
		["Peacebloom"] = "평온초",
		["Purple Lotus"] = "보라 연꽃",
		["Ragveil"] = "가림막이버섯",
		["Rain Poppy"] = "빗방울 백일홍",
		["Sha-Touched Herb"] = "샤에 물든 약초",
		["Silkweed"] = "비단풀",
		["Silverleaf"] = "은엽수 덤불",
		["Snow Lily"] = "눈 백합",
		["Sorrowmoss"] = "슬픔이끼",
		["Starflower"] = "별꽃",
		["Stormvine"] = "폭풍덩굴",
		["Stranglekelp"] = "갈래물풀",
		["Sungrass"] = "태양풀",
		["Talador Orchid"] = "탈라도르 난초",
		["Talandra's Rose"] = "탈란드라의 장미",
		["Terocone"] = "테로열매",
		["Tiger Lily"] = "참나리",
		["Twilight Jasmine"] = "황혼의 말리꽃",
		["Whiptail"] = "채찍꼬리",
		["Wild Steelbloom"] = "야생 철쭉",
	}
elseif GAME_LOCALE == "ptBR" then
	lib:SetCurrentTranslations {
		["Adder's Tongue"] = "Língua de Áspide",
		["Ancient Lichen"] = "Líquen-antigo",
		["Arthas' Tears"] = "Lágrimas de Arthas",
		["Azshara's Veil"] = "Véu-de-azshara",
		["Black Lotus"] = "Lótus Preto",
		["Blindweed"] = "Ervacega",
		["Bloodthistle"] = "Cardossangue",
		["Briarthorn"] = "Cravespinho",
		["Bruiseweed"] = "Ervamossa",
		["Cinderbloom"] = "Cinzanilha",
		["Dragon's Teeth"] = "Dentes-de-dragão",
		["Dreamfoil"] = "Folha-de-sonho",
		["Dreaming Glory"] = "Glória-sonhadora",
		["Earthroot"] = "Raiz-telúrica",
		["Fadeleaf"] = "Some-folha",
		["Felweed"] = "Vilerva",
		["Firebloom"] = "Ignídea",
		["Firethorn"] = "Espinho de Fogo",
		["Fireweed"] = "Ervígnea",
		["Flame Cap"] = "Chapéu-de-fogo",
		["Fool's Cap"] = "Chapéu dos Tolos",
		["Frost Lotus"] = "Lótus Gélido",
		["Frostweed"] = "Erválgida",
		["Frozen Herb"] = "Planta Congelada",
		["Ghost Mushroom"] = "Cogumelo-fantasma",
		["Goldclover"] = "Trevo Dourado",
		["Golden Lotus"] = "Lótus Dourado",
		["Golden Sansam"] = "Sonsona-dourada",
		["Goldthorn"] = "Espinheira-dourada",
		["Gorgrond Flytrap"] = "Papa-mosca de Gorgrond",
		["Grave Moss"] = "Musgo-de-tumba",
		["Green Tea Leaf"] = "Folha de Chá Verde",
		["Gromsblood"] = "Sangue-de-grom",
		["Heartblossom"] = "Coronália",
		["Icecap"] = "Chapéu-de-gelo",
		["Icethorn"] = "Espinho de Gelo",
		["Khadgar's Whisker"] = "Bigode-de-hadgar",
		["Kingsblood"] = "Sangue-real",
		["Lichbloom"] = "Flor-de-lich",
		["Liferoot"] = "Raiz-da-vida",
		["Mageroyal"] = "Magi-real",
		["Mana Thistle"] = "Manacardo",
		["Mountain Silversage"] = "Sávia-prata-da-montanha",
		["Nagrand Arrowbloom"] = "Ponta-de-seta de Nagrand",
		["Netherbloom"] = "Floretérea",
		["Netherdust Bush"] = "Arbusto de Poeira Etérea",
		["Nightmare Vine"] = "Vinha-do-pesadelo",
		["Peacebloom"] = "Botão-da-paz",
		["Purple Lotus"] = "Lótus Roxo",
		["Ragveil"] = "Trapovéu",
		["Rain Poppy"] = "Papoula-da-chuva",
		["Sha-Touched Herb"] = "Planta Tocada pelo Sha",
		["Silkweed"] = "Flor-de-seda",
		["Silverleaf"] = "Folha-prata",
		["Snow Lily"] = "Lírio-das-neves",
		["Sorrowmoss"] = "Limágoa",
		["Starflower"] = "Florestrela",
		["Stormvine"] = "Tempesvina",
		["Stranglekelp"] = "Estrangulalga",
		["Sungrass"] = "Ervassol",
		["Talador Orchid"] = "Orquídea de Talador",
		["Talandra's Rose"] = "Rosa de Talandra",
		["Terocone"] = "Teropinha",
		["Tiger Lily"] = "Lírio Tigre",
		["Twilight Jasmine"] = "Jasmim-do-crepúsculo",
		["Whiptail"] = "Azorrangue",
		["Wild Steelbloom"] = "Ácera-agreste",
	}
elseif GAME_LOCALE == "ruRU" then
	lib:SetCurrentTranslations {
		["Adder's Tongue"] = "Язык аспида",
		["Ancient Lichen"] = "Древний лишайник",
		["Arthas' Tears"] = "Слезы Артаса",
		["Azshara's Veil"] = "Вуаль Азшары",
		["Black Lotus"] = "Черный лотос",
		["Blindweed"] = "Пастушья сумка",
		["Bloodthistle"] = "Кровопийка",
		["Briarthorn"] = "Остротерн",
		["Bruiseweed"] = "Синячник",
		["Cinderbloom"] = "Пепельник",
		["Dragon's Teeth"] = "Драконьи зубы",
		["Dreamfoil"] = "Снолист",
		["Dreaming Glory"] = "Сияние грез",
		["Earthroot"] = "Земляной корень",
		["Fadeleaf"] = "Бледнолист",
		["Felweed"] = "Сквернопля",
		["Firebloom"] = "Огнецвет",
		["Firethorn"] = "Огница",
		["Fireweed"] = "Пламецвет",
		["Flame Cap"] = "Огненный зев",
		["Fool's Cap"] = "Дурногриб",
		["Frost Lotus"] = "Северный лотос",
		["Frostweed"] = "Морозноцвет",
		["Frozen Herb"] = "Мерзлая трава",
		["Ghost Mushroom"] = "Призрачная поганка",
		["Goldclover"] = "Золотой клевер",
		["Golden Lotus"] = "Золотой лотос",
		["Golden Sansam"] = "Золотой сансам",
		["Goldthorn"] = "Златошип",
		["Gorgrond Flytrap"] = "Горгрондская мухоловка",
		["Grave Moss"] = "Могильный мох",
		["Green Tea Leaf"] = "Лист зеленого чая",
		["Gromsblood"] = "Кровь Грома",
		["Heartblossom"] = "Цветущее сердце",
		["Icecap"] = "Ледяной зев",
		["Icethorn"] = "Ледошип",
		["Khadgar's Whisker"] = "Кадгаров ус",
		["Kingsblood"] = "Королевская кровь",
		["Lichbloom"] = "Личецвет",
		["Liferoot"] = "Корень жизни",
		["Mageroyal"] = "Магороза",
		["Mana Thistle"] = "Манаполох",
		["Mountain Silversage"] = "Горный серебряный шалфей",
		["Nagrand Arrowbloom"] = "Награндский стрелоцвет",
		["Netherbloom"] = "Пустоцвет",
		["Netherdust Bush"] = "Куст пустопраха",
		["Nightmare Vine"] = "Ползучий кошмарник",
		["Peacebloom"] = "Мироцвет",
		["Purple Lotus"] = "Лиловый лотос",
		["Ragveil"] = "Кисейница",
		["Rain Poppy"] = "Дождевой мак",
		["Sha-Touched Herb"] = "Пораженная ша трава",
		["Silkweed"] = "Ваточник",
		["Silverleaf"] = "Сребролист",
		["Snow Lily"] = "Снежная лилия",
		["Sorrowmoss"] = "Печаль-трава",
		["Starflower"] = "Звездоцвет",
		["Stormvine"] = "Ливневая лоза",
		["Stranglekelp"] = "Удавник",
		["Sungrass"] = "Солнечник",
		["Talador Orchid"] = "Таладорская орхидея",
		["Talandra's Rose"] = "Роза Таландры",
		["Terocone"] = "Терошишка",
		["Tiger Lily"] = "Тигровая лилия",
		["Twilight Jasmine"] = "Сумеречный жасмин",
		["Whiptail"] = "Хлыстохвост",
		["Wild Steelbloom"] = "Дикий сталецвет",
	}
elseif GAME_LOCALE == "zhCN" then
	lib:SetCurrentTranslations {
		["Adder's Tongue"] = "蛇信草",
		["Ancient Lichen"] = "远古苔",
		["Arthas' Tears"] = "阿尔萨斯之泪",
		["Azshara's Veil"] = "艾萨拉雾菇",
		["Black Lotus"] = "黑莲花",
		["Blindweed"] = "盲目草",
		["Bloodthistle"] = "血蓟",
		["Briarthorn"] = "石南草",
		["Bruiseweed"] = "跌打草",
		["Cinderbloom"] = "燃烬草",
		["Dragon's Teeth"] = "龙齿草",
		["Dreamfoil"] = "梦叶草",
		["Dreaming Glory"] = "梦露花",
		["Earthroot"] = "地根草",
		["Fadeleaf"] = "枯叶草",
		["Felweed"] = "魔草",
		["Firebloom"] = "火焰花",
		["Firethorn"] = "火棘",
		--["Fireweed"] = ???
		["Flame Cap"] = "烈焰菇",
		["Fool's Cap"] = "愚人菇",
		["Frost Lotus"] = "雪莲花",
		--["Frostweed"] = ???
		["Frozen Herb"] = "冰冷的草药",
		["Ghost Mushroom"] = "幽灵菇",
		["Goldclover"] = "金苜蓿",
		["Golden Lotus"] = "黄金莲",
		["Golden Sansam"] = "黄金参",
		["Goldthorn"] = "金棘草",
		--["Gorgrond Flytrap"] = ???
		["Grave Moss"] = "墓地苔",
		["Green Tea Leaf"] = "绿茶叶",
		["Gromsblood"] = "格罗姆之血",
		["Heartblossom"] = "心灵之花",
		["Icecap"] = "冰盖草",
		["Icethorn"] = "冰棘草",
		["Khadgar's Whisker"] = "卡德加的胡须",
		["Kingsblood"] = "皇血草",
		["Lichbloom"] = "巫妖花",
		["Liferoot"] = "活根草",
		["Mageroyal"] = "魔皇草",
		["Mana Thistle"] = "法力蓟",
		["Mountain Silversage"] = "山鼠草",
		--["Nagrand Arrowbloom"] = ???
		["Netherbloom"] = "虚空花",
		["Netherdust Bush"] = "灵尘灌木丛",
		["Nightmare Vine"] = "噩梦藤",
		["Peacebloom"] = "宁神花",
		["Purple Lotus"] = "紫莲花",
		["Ragveil"] = "邪雾草",
		["Rain Poppy"] = "雨粟花",
		["Sha-Touched Herb"] = "染煞草药",
		["Silkweed"] = "柔丝草",
		["Silverleaf"] = "银叶草",
		["Snow Lily"] = "雪百合",
		["Sorrowmoss"] = "天灾花",
		--["Starflower"] = ???
		["Stormvine"] = "风暴藤",
		["Stranglekelp"] = "荆棘藻",
		["Sungrass"] = "太阳草",
		--["Talador Orchid"] = ???
		["Talandra's Rose"] = "塔兰德拉的玫瑰",
		["Terocone"] = "泰罗果",
		["Tiger Lily"] = "卷丹",
		["Twilight Jasmine"] = "暮光茉莉",
		["Whiptail"] = "鞭尾草",
		["Wild Steelbloom"] = "野钢花",
	}
elseif GAME_LOCALE == "zhTW" then
	lib:SetCurrentTranslations {
		["Adder's Tongue"] = "奎蛇之舌",
		["Ancient Lichen"] = "古老青苔",
		["Arthas' Tears"] = "阿薩斯之淚",
		["Azshara's Veil"] = "艾薩拉的帷紗",
		["Black Lotus"] = "黑蓮花",
		["Blindweed"] = "盲目草",
		["Bloodthistle"] = "血薊",
		["Briarthorn"] = "石南草",
		["Bruiseweed"] = "跌打草",
		["Cinderbloom"] = "燼花",
		["Dragon's Teeth"] = "龍之牙",
		["Dreamfoil"] = "夢葉草",
		["Dreaming Glory"] = "譽夢草",
		["Earthroot"] = "地根草",
		["Fadeleaf"] = "枯葉草",
		["Felweed"] = "魔獄草",
		["Firebloom"] = "火焰花",
		["Firethorn"] = "火棘",
		["Fireweed"] = "火草",
		["Flame Cap"] = "火帽花",
		["Fool's Cap"] = "丑帽菇",
		["Frost Lotus"] = "冰霜蓮花",
		["Frostweed"] = "霜草",
		["Frozen Herb"] = "冰凍草藥",
		["Ghost Mushroom"] = "鬼魂菇",
		["Goldclover"] = "金黃苜蓿",
		["Golden Lotus"] = "黃金蓮",
		["Golden Sansam"] = "黃金蔘",
		["Goldthorn"] = "金棘草",
		["Gorgrond Flytrap"] = "格古隆德補蠅草",
		["Grave Moss"] = "墓地苔",
		["Green Tea Leaf"] = "綠茶葉",
		["Gromsblood"] = "格羅姆之血",
		["Heartblossom"] = "心綻花",
		["Icecap"] = "冰蓋草",
		["Icethorn"] = "冰棘",
		["Khadgar's Whisker"] = "卡德加的鬍鬚",
		["Kingsblood"] = "皇血草",
		["Lichbloom"] = "低語藤",
		["Liferoot"] = "活根草",
		["Mageroyal"] = "魔皇草",
		["Mana Thistle"] = "法力薊",
		["Mountain Silversage"] = "山鼠草",
		["Nagrand Arrowbloom"] = "納葛蘭箭矢花",
		["Netherbloom"] = "虛空花",
		["Netherdust Bush"] = "虛空之塵灌木",
		["Nightmare Vine"] = "夢魘根",
		["Peacebloom"] = "寧神花",
		["Purple Lotus"] = "紫蓮花",
		["Ragveil"] = "拉格維花",
		["Rain Poppy"] = "雨罌粟",
		["Sha-Touched Herb"] = "煞化的藥草",
		["Silkweed"] = "絲草",
		["Silverleaf"] = "銀葉草",
		["Snow Lily"] = "雪百合",
		["Sorrowmoss"] = "悲傷苔蘚",
		["Starflower"] = "星辰花",
		["Stormvine"] = "風暴藤",
		["Stranglekelp"] = "荊棘藻",
		["Sungrass"] = "太陽草",
		["Talador Orchid"] = "塔拉多爾蘭花",
		["Talandra's Rose"] = "泰蘭卓的玫瑰",
		["Terocone"] = "泰魯草",
		["Tiger Lily"] = "虎百合",
		["Twilight Jasmine"] = "暮光茉莉",
		["Whiptail"] = "鞭尾蜥草",
		["Wild Steelbloom"] = "野鋼花",
	}
else
	error(("%s: Locale %q not supported"):format(MAJOR_VERSION, GAME_LOCALE))
end
